Class Fox::FXDirList

In: | FXDirList.rb
Parent: | FXTreeList

Directory tree List

### Events

`SEL_CLOSED`: | sent when a folder item is closed; the message data is a reference to the FXDirItem that was closed
`SEL_OPENED`: | sent when a folder item is opened; the message data is a reference to the FXDirItem that was opened

### Directory List options

`DIRLIST_SHOWFILES`: | Show files as well as directories
`DIRLIST_SHOWHIDDEN`: | Show hidden files or directories
`DIRLIST_NO_OWN_ASSOC`: | Do not create associations for files

### Message identifiers

`ID_REFRESH`: | x
`ID_SHOW_FILES`: | x
`ID_HIDE_FILES`: | x
`ID_TOGGLE_FILES`: | x
`ID_SHOW_HIDDEN`: | x
`ID_HIDE_HIDDEN`: | x
`ID_TOGGLE_HIDDEN`: | x
`ID_SET_PATTERN`: | x
`ID_SORT_REVERSE`: | x

Methods

filesShown= filesShown? hiddenFilesShown= hiddenFilesShown? itemDirectory? itemExecutable? itemFile? itemFilename itemPathname new

Attributes

associations | [RW] | File associations [FXFileDict]
currentFile | [RW] | Current file [String]
directory | [RW] | Current directory [String]
matchMode | [RW] | Wildcard matching mode, some combination of file matching flags [Integer]
pattern | [RW] | Wildcard pattern [String]

Public Class methods

new(p, nvis, tgt=nil, sel=0, opts=0, x=0, y=0, w=0, h=0) {|theDirList| ...}

Returns an initialized FXDirList instance

Public Instance methods

itemDirectory?(anItem)

Return `true` if item is a directory

itemFile?(anItem)

Return `true` if item is a file

itemExecutable?(anItem)

Return `true` if item is executable

itemFilename(anItem)

Return name of item

itemPathname(anItem)

Return full pathname of item

filesShown?()

Return `true` if showing files as well as directories

filesShown=(state)

If state is `true`, the directory list will show files as well as directories; otherwise, it will only show directories.

hiddenFilesShown?()

Return `true` if showing hidden files and directories

hiddenFilesShown=(state)

If state is `true`, the directory list will show hidden files and directories; otherwise, it won’t.